Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## fr.jayasoft.ivy.xml
Class XmlReportParser

    java.lang.Object
      fr.jayasoft.ivy.xml.XmlReportParser

public class XmlReportParser
extends java.lang.Object

Constructor Summary
`XmlReportParser()`

Method Summary
`Artifact[]` | `getArtifacts(ModuleId moduleId, java.lang.String conf, java.io.File cache)`
`ModuleRevisionId[]` | `getDependencyRevisionIds(ModuleId moduleId, java.lang.String conf, java.io.File cache)`
`ModuleRevisionId[]` | `getRealDependencyRevisionIds(ModuleId moduleId, java.lang.String conf, java.io.File cache)` Returns all the mrids of the dependencies which have a real module descriptor, i.e. not a default one

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### XmlReportParser

    public XmlReportParser()

Method Detail

### getArtifacts

    public Artifact[] getArtifacts(ModuleId moduleId,
                                   java.lang.String conf,
                                   java.io.File cache)
                            throws java.text.ParseException,
                                   java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### getDependencyRevisionIds

    public ModuleRevisionId[] getDependencyRevisionIds(ModuleId moduleId,
                                                       java.lang.String conf,
                                                       java.io.File cache)
                                                throws java.text.ParseException,
                                                       java.io.IOException

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

### getRealDependencyRevisionIds

    public ModuleRevisionId[] getRealDependencyRevisionIds(ModuleId moduleId,
                                                           java.lang.String conf,
                                                           java.io.File cache)
                                                    throws java.text.ParseException,
                                                           java.io.IOException

  Returns all the mrids of the dependencies which have a real module descriptor, i.e. not a default one

  Throws:
    `java.text.ParseException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD